export default class CreateCore {
    name: string;
    framework: string;
    rdc: string;
    extendRdc: boolean;
    rdcConf: RdcConf;
    rdcRepo: string;
    constructor({ name, framework, rdc, extendRdc, rdcRepo }: {
        name: any;
        framework: any;
        rdc: any;
        extendRdc: any;
        rdcRepo: any;
    });
    start(): Promise<void>;
    getRdcConf(): Promise<void>;
    protected prepare(): Promise<void>;
    protected genConfFile(): Promise<void>;
    protected genExtraFiles(): Promise<void>;
}
